package cn.wise.sc.consume.business.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-07-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysUser implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 登录名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 姓名
     */
    private String nickName;

    /**
     * 头像
     */
    private String headImgUrl;

    /**
     * 手机
     */
    private String phone;

    /**
     * 电话
     */
    private String telephone;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 开户银行
     */
    private String bankName;

    /**
     * 银行卡号
     */
    private String accountNo;

    private LocalDate birthday;

    /**
     * （0男，1女）
     */
    private Integer sex;

    /**
     * 职务表id，用于权限审批
     */
    private Long postId;

    /**
     * （0禁用，1启用）
     */
    private Integer status;

    /**
     * （0删除，1正常）
     */
    private Integer isDelete;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    /**
     * 微信标识
     */
    private String openId;

    private String remark;

    /**
     * 已使用额度
     */
    private BigDecimal usedMoney;

    /**
     * 0普通用户，1租户管理员，2超级管理员
     */
    private Integer isAdmin;

    /**
     * 租户id 超级管理员为0
     */
    private String tenantId;

    /**
     * 企业app用户ID
     */
    private String usridc;



	public interface Status {
		int DISABLED = 0;
		int VALID = 1;
		int LOCKED = 2;
	}

}
